Subject: Re: [PATCH V2 4/6] powerpc/44x: don't use tlbivax on AMP systems

From: David Gibson <[email-masked]>
Date: Thu, 3 Feb 2011 16:03:51 +1100

On Wed, Feb 02, 2011 at 05:53:59PM -0600, Dave Kleikamp wrote:
> On Thu, 2011-02-03 at 10:08 +1100, David Gibson wrote:
> > On Tue, Feb 01, 2011 at 12:48:44PM -0600, Dave Kleikamp wrote:
> > > Since other OS's may be running on the other cores don't use tlbivax
> > 
> > [snip]
> > > +#ifdef CONFIG_44x
> > > +void __init early_init_mmu_44x(void)
> > > +{
> > > +	unsigned long root = of_get_flat_dt_root();
> > > +	if (of_flat_dt_is_compatible(root, "ibm,47x-AMP"))
> > > +		amp = 1;
> > > +}
> > > +#endif /* CONFIG_44x */
> > 
> > A test against a hardcoded compatible string seems a nasty way to do
> > this.  Maybe we should define a new boolean property for the root
> > node.
> 
> I'm not crazy about this string, but I needed something in the device
> tree to key off of.  Freescale has something similar (i.e.
> MPC8572DS-CAMP), so I chose to follow their example.  I'd be happy to
> replace it with a boolean property.  Any objection to just using
> "amp"?

Bit too short, I think.  I'd suggest either spelling out
'asymmetric-multiprocessor' or 'cooperative-partition' (a more
accurate term, IMO).

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson